Problem with the new 6.5 software ....

I have the domain integration setup and I am trying to setup the new
6.5 server (currently running 6.0 in production). Users can log into
the 6.5 server portal, and even sync with the windows client, however,
when using the pocket-pc client it always gives an 'invalid login -
username or password' error even though everything is correct. Simply
switching back to the 6.0 server without changing the user settings
syncs successfully.

Any help?